BSON_ITER_OFFSET(3)

NAME
bson_iter_offset - bson_iter_offset()

SYNOPSIS

uint32_t
bson_iter_offset (const bson_iter_t *iter);

PARAMETERS

•   iter: A bson_iter_t.

DESCRIPTION

Fetches the offset for the current element observed by iter.

SEE ALSO

bson_iter_init_from_data_at_offset() to use this offset to reconstruct a bson_iter_t in constant time.

RETURNS

An unsigned integer representing the offset in the BSON data of the current element.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc